メインコンテンツへスキップ
GET
/
crm
/
v4
/
objects
/
{objectType}
/
{objectId}
/
associations
/
{toObjectType}
オブジェクトタイプ別に全ての関連付けを取得
curl --request GET \
  --url https://api.hubapi.com/crm/v4/objects/{objectType}/{objectId}/associations/{toObjectType} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "associationTypes": [
        {
          "category": "HUBSPOT_DEFINED",
          "typeId": 123,
          "label": "<string>"
        }
      ],
      "toObjectId": "<string>"
    }
  ],
  "paging": {
    "next": {
      "after": "<string>",
      "link": "<string>"
    }
  }
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

objectId
string
必須

関連付けを取得するソースオブジェクトの固有ID。

objectType
string
必須

関連付けのソースオブジェクトのタイプを指定します。

toObjectType
string
必須

関連付けのターゲットオブジェクトのタイプを指定します。

クエリパラメータ

after
string

最後に正常に読み取られたリソースのページ操作カーソルトークンは、より多くの結果を含むページ付きレスポンスのpaging.next.after JSONプロパティーとして返されます。

limit
integer<int32>
デフォルト:500

ページごとに表示する結果の最大数。

レスポンス

successful operation

results
object[]
必須
paging
object
Last modified on April 13, 2026